##  Thu Jan 21 13:57:00 2010
##  py2plum output from PC/Beagle rules:
##  START OF BOILERPLATE.

##  BEAGBOOL :
def beagbool (v):
    "Python function to convert numeric to Boolean, as in Beagle."

    if v > 0:
        return  True
    else:
        return  False


##  BEAGMATH :
def beagmath (v):
    "Python function to convert Boolean to numeric, as in Beagle."

    if v:
        return  1.0
    else:
        return  0.0
    

##  END OF BOILERPLATE.

##  BEAGVAL :
def beagval (varvals):
    "evaluates Beagle rules on list of values (first at 0)."

    B4 = varvals[5]
    L7 = varvals[3]
    Z = 0.0  ##  zero variable

    rtot = 0
    rv = eval( (( L7 -  B4) <   32.0000) )
    if rv > Z:
        rtot += 1

    if rtot >= 1:
        return  'all'
    if rtot <= 0:
        return  'none'
    return  'some'

##  { Coded from vole.rrr on 21/01/2010 }
##  Beagle target expression : ( VOLETYPE >    1.0000)

##  function takes input data case (file row) in varvals[].
##  returns 'none', 'some' or 'all' based on # of rules firing.
